POST
Use dark colors for code blocksCopy
1
https://static-maps-api.arcgis.com/arcgis/rest/services/static-maps-service/beta/static-maps/arcgis/{arcgis-style}/with-polygon
Returns a static map in an ArcGIS Basemap style displaying a polygon or area of interest.

arcgis/streets

Returns a static map that displays an ArcGIS Basemap style with a polygon or area of interest, as defined by the polygon parameter.

The geographical extent of the static map is defined by the extent of the polygon and a padding width. You can define the style and color of the polygon fill including its outline.

The static map image width and height can be defined, along with the image format, which can be png, jpeg, or webp.

The Post Body content type must be either:

  • JSON with content type of application/json, or
  • form URL encoded key-value pairs with content type application/x-www-form-urlencoded.

You must supply an access token in the header for POST endpoints.

Choose this option if you want to display a single-part polygon with up to 5000 vertices.

Please note that the ArcGIS Basemap style attribution statement must be displayed every time the static map is visible. It must be positioned very close to the static map, or it can be provided via a popup or menu if the static map is embedded in an application or website. The relevant attribution statement for an ArcGIS Basemap style is available from the /static-maps/arcgis/{arcgis-style}/attribution endpoint. For more information see the ArcGIS Location Platform Agreement on the Terms of use.

Body parameters

Supported content types: application/json, application/x-www-form-urlencoded

NameTypeRequiredDescription
graphicsGraphicPolygon

The ring geometry and its associated ring style.

imageImage

Define the width, height and format of the requested static map image.

mapMap

Represents the visible extent of the map.

graphics

The ring geometry and its associated ring style.

image

Define the width, height and format of the requested static map image.

map

Represents the visible extent of the map.

This object specifies:

radius: The distance from the center point that determines the coverage area. zoom: The map zoom level controlling the scale and detail of the map. center: The geographic coordinates (latitude and longitude) of the focal point for the map.

Note: zoom and radius are mutually exclusive.

Path parameters

NameTypeRequiredDescription
arcgis-stylestring

The name of a style from the ArcGIS Basemap style family.

arcgis-style

The name of a style from the ArcGIS Basemap style family.

GroupStyleExampleDescriptionData attribution
StreetsnavigationnavigationA custom navigation style designed for use during daylight hoursEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
Streetsnavigation-nightnavigation-nightA custom navigation style designed for use in hours of darknessEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
StreetsstreetsstreetsA classic Esri street map style designed for use during daylight hoursEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
Streetsstreets-nightstreets-nightA classic Esri street map style designed for use in hours of darknessEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
SatelliteimageryimageryLow-resolution satellite imagery for the world and high-resolution satellite and aerial imagery, typically within 3-5 years of currency, for most of the world.Esri, Vantor, GeoEye, Earthstar Geographics, CNES/Airbus DS, USDA, USGS, AeroGRID, IGN, © OpenStreetMap contributors, TomTom, Garmin, FAO, NOAA, and the GIS User Community

Enumerated values

streets
Click to copy
streets-night
Click to copy
navigation
Click to copy
navigation-night
Click to copy
imagery
Click to copy

Response status

StatusMeaningDescriptionSchema
200OK

Static map in a desired image format.

string(binary)
400Bad Request

Invalid query parameters / Incorrect portal item type / Data URL parse failure.

Error
401Unauthorized

Authentication Error. The API key or token is missing, invalid or expired.

Error
403Forbidden

The requested resource cannot be accessed because of incorrect sharing permissions.

Error
404Not Found

The requested resource cannot be found - this could be due to missing map data at the requested location and zoom level.

Error
5XXServer Error

An error occurred on the server.

Error

Examples

Request

Use dark colors for code blocksCopy
1
2
3
4
5
# You can also use wget
curl -X POST 'https://static-maps-api.arcgis.com/arcgis/rest/services/static-maps-service/beta/static-maps/arcgis/streets/with-polygon' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer <YOUR_TOKEN>' \
  --data '{"graphics":{"polygon":{"rings":[[[-117.247325,34.100934],[-117.247506,34.104433],[-117.247962,34.105095],[-117.244321,34.106745],[-117.209646,34.106204],[-117.208757,34.105251]]]},"ringStyle":{"polygonSymbol":{"style":"solid","color":"007AC2","outline":{"style":"solid","color":"007AC2","width":2}}}},"image":{"width":500,"height":500,"format":"png","padding":[10,0,10,20]},"map":{"radius":1000,"zoom":12,"center":{"x":-117.1957,"y":34.0561,"spatialReference":{"wkid":4326}}}}'

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.